From: <Andrej.Gantvorg@wago.com>
To: ptxdist@pengutronix.de
Subject: Re: [ptxdist] [PATCH] ptxd_install_resolve_usr_grp: skip empty params.
Date: Fri, 26 Oct 2018 09:34:51 +0000 [thread overview]
Message-ID: <429cffef-8f4a-55e3-e199-900997dc6772@wago.com> (raw)
In-Reply-To: <20181025160907.f2m2l3gofskajqxq@pengutronix.de>
[-- Attachment #1: Type: text/plain, Size: 159 bytes --]
Hello,
> The white-spaces are broken in this patch, so it does not apply. Maybe send
> it as an attachment instead.
Here it is!
Greets,
Andrej
[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: 0001-ptxd_install_resolve_usr_grp-skip-empty-params.patch --]
[-- Type: text/x-patch; name="0001-ptxd_install_resolve_usr_grp-skip-empty-params.patch", Size: 1493 bytes --]
From 0a062f0179ae647bec338161aacf1a8a29414083 Mon Sep 17 00:00:00 2001
From: Andrej Gantvorg <andrej.gantvorg@wago.com>
Date: Fri, 5 Oct 2018 09:22:13 +0200
Subject: [PTXDIST PATCH] ptxd_install_resolve_usr_grp: skip empty params.
To: ptxdist@pengutronix.de
Empty parameters may be passed i.e. when calling install_archive with
UID/GID set to '-'. According to documentation this should preserve the
owner/group stored in the archive. Without this patch, empty strings are
mapped to the first entry in /etc/{passwd,group} (usually 0) instead,
thus breaking the documented behaviour.
Signed-off-by: Andrej Gantvorg <andrej.gantvorg@wago.com>
---
scripts/lib/ptxd_make_xpkg_pkg.sh | 4 ++--
1 file changed, 2 insertions(+), 2 deletions(-)
diff --git a/scripts/lib/ptxd_make_xpkg_pkg.sh b/scripts/lib/ptxd_make_xpkg_pkg.sh
index b3f2f20f3..0ec1c9b2a 100644
--- a/scripts/lib/ptxd_make_xpkg_pkg.sh
+++ b/scripts/lib/ptxd_make_xpkg_pkg.sh
@@ -79,12 +79,12 @@ export -f ptxd_install_getent_id
# convert usr/grp that contain names into numeric values
#
ptxd_install_resolve_usr_grp() {
- if ! [ 0 -le $usr ] 2>/dev/null; then
+ if ! [ 0 -le "$usr" ] 2>/dev/null && ! [ -z "$usr" ] ; then
ptxd_install_getent_id usr || return
else
unset usr_name
fi
- if ! [ 0 -le $grp ] 2>/dev/null; then
+ if ! [ 0 -le "$grp" ] 2>/dev/null && ! [ -z "$grp" ] ; then
ptxd_install_getent_id grp || return
else
unset grp_name
--
2.11.3
[-- Attachment #3: Type: text/plain, Size: 91 bytes --]
_______________________________________________
ptxdist mailing list
ptxdist@pengutronix.de
next prev parent reply other threads:[~2018-10-26 9:34 UTC|newest]
Thread overview: 5+ messages / expand[flat|nested] mbox.gz Atom feed top
2018-10-05 9:26 [ptxdist] [PTXDIST] " Andrej.Gantvorg
2018-10-25 10:00 ` [ptxdist] " Andrej.Gantvorg
2018-10-25 16:09 ` Michael Olbrich
2018-10-26 9:34 ` Andrej.Gantvorg [this message]
2018-10-26 9:43 ` Michael Olbrich
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=429cffef-8f4a-55e3-e199-900997dc6772@wago.com \
--to=andrej.gantvorg@wago.com \
--cc=ptxdist@pengutronix.de \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox